# Uses of Interface
javax.swing.event.TreeModelListener

Packages that use TreeModelListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of TreeModelListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type TreeModelListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addTreeModelListener​(TreeModelListener l)`
Adds the specified listener to receive all `TREEMODEL` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeTreeModelListener​(TreeModelListener l)`
Removes the specified listener so it no longer receives `TREEMODEL` events when they occur.

## Uses of TreeModelListener in javax.swing

Classes in javax.swing that implement TreeModelListener
Modifier and Type
Class
Description
`protected class`
`JTree.AccessibleJTree`
This class implements accessibility support for the `JTree` class.
`protected class`
`JTree.TreeModelHandler`
Listens to the model and updates the `expandedState` accordingly when nodes are removed, or changed.
Fields in javax.swing declared as TreeModelListener
Modifier and Type
Field
Description
`protected TreeModelListener`
JTree.`treeModelListener`
Updates the `expandedState`.
Methods in javax.swing that return TreeModelListener
Modifier and Type
Method
Description
`protected TreeModelListener`
JTree.`createTreeModelListener()`
Creates and returns an instance of `TreeModelHandler`.

## Uses of TreeModelListener in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement TreeModelListener
Modifier and Type
Class
Description
`class`
`BasicTreeUI.TreeModelHandler`
Forwards all TreeModel events to the TreeState.
Methods in javax.swing.plaf.basic that return TreeModelListener
Modifier and Type
Method
Description
`protected TreeModelListener`
BasicTreeUI.`createTreeModelListener()`
Returns a listener that can update the tree when the model changes.

## Uses of TreeModelListener in javax.swing.tree

Methods in javax.swing.tree that return TreeModelListener
Modifier and Type
Method
Description
`TreeModelListener[]`
DefaultTreeModel.`getTreeModelListeners()`
Returns an array of all the tree model listeners registered on this model.
Methods in javax.swing.tree with parameters of type TreeModelListener
Modifier and Type
Method
Description
`void`
DefaultTreeModel.`addTreeModelListener​(TreeModelListener l)`
Adds a listener for the TreeModelEvent posted after the tree changes.
`void`
TreeModel.`addTreeModelListener​(TreeModelListener l)`
Adds a listener for the `TreeModelEvent` posted after the tree changes.
`void`
DefaultTreeModel.`removeTreeModelListener​(TreeModelListener l)`
Removes a listener previously added with addTreeModelListener().
`void`
TreeModel.`removeTreeModelListener​(TreeModelListener l)`
Removes a listener previously added with `addTreeModelListener`.